Bug 1998015 - Observe > Metrics / Dashboards performance: Graph tooltips process all points even if they won't be displayed
Summary: Observe > Metrics / Dashboards performance: Graph tooltips process all points...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Andrew Pickering
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 09:26 UTC by Andrew Pickering
Modified: 2021-10-18 17:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9892 0 None None None 2021-08-26 09:31:28 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:25 UTC

Description Andrew Pickering 2021-08-26 09:26:58 UTC
The graph tooltip shows the data for a single timestamp. There can be hundreds of data points for the timestamp, but the tooltip is limited to showing the top 20. In this case, the code is quite inefficient because it both sorts and then processes all data points before throwing away all but the top 20.

Comment 3 Junqi Zhao 2021-08-30 12:26:36 UTC
checked with 4.9.0-0.nightly-2021-08-29-010334, the tooltip shows the top 20 results, and the it takes less time to get the result

Comment 11 errata-xmlrpc 2021-10-18 17:49:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.